%global srcname bleach

Name:           python-%{srcname}
Version:        5.0.1
Release:        %mkrel 1
Summary:        An easy whitelist-based HTML-sanitizing tool
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/jsocol/bleach
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Bleach is an HTML sanitizing library that escapes or strips markup and
attributes based on a white list.


%package -n python3-%{srcname}
Summary:        An easy whitelist-based HTML-sanitizing tool
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
Requires:       python3dist(html5lib)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Bleach is an HTML sanitizing library that escapes or strips markup and
attributes based on a white list.

%prep
%autosetup -n %{srcname}-%{version} -p1

# Needed if we ever package python-pytest-runner...
sed -i 's/pytest-runner>=2.0,<3dev/pytest-runner/' setup.py

# Remove vendored libraries which were added for https://github.com/mozilla/bleach/issues/386
rm -r bleach/_vendor/html5lib
# Bleach has a shim layer that references the vendored html5lib we just deleted.
# Let's patch up the imports to use the real html5lib.
sed -i "s/bleach._vendor.html5lib/html5lib/g" bleach/html5lib_shim.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst



%changelog
* Mon Sep 05 2022 neoclust <neoclust> 5.0.1-1.mga9
+ Revision: 1884162
- New version 5.0.1

* Sat Aug 20 2022 papoteur <papoteur> 4.1.0-4.mga9
+ Revision: 1878904
- restore html5lib requires because we delete the bundled one.
- don't delete the vendored urllib/parse

* Mon Mar 28 2022 umeabot <umeabot> 4.1.0-3.mga9
+ Revision: 1829714
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 4.1.0-2.mga9
+ Revision: 1778480
- rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 4.1.0-1.mga9
+ Revision: 1743000
- new version 4.1.0

* Sun Mar 21 2021 joequant <joequant> 3.3.0-2.mga9
+ Revision: 1706723
- update to python 3.9

* Mon Mar 15 2021 wally <wally> 3.3.0-1.mga9
+ Revision: 1703487
- new version 3.3.0
- rebuild for python 3.9

* Tue Nov 03 2020 joequant <joequant> 3.2.1-1.mga8
+ Revision: 1641886
- update to 3.2.1

* Tue Apr 07 2020 ns80 <ns80> 3.1.4-1.mga8
+ Revision: 1565375
- new version 3.1.4 for CVE-2020-6817 (mga#26445)

* Wed Mar 25 2020 ns80 <ns80> 3.1.2-1.mga8
+ Revision: 1559628
- new version 3.1.2 for CVE-2020-6816 (mga#26379)

* Wed Mar 04 2020 ns80 <ns80> 3.1.1-1.mga8
+ Revision: 1553608
- new version 3.1.1 for CVE-2020-6802 (mga#26286)

* Sun Feb 16 2020 umeabot <umeabot> 3.1.0-4.mga8
+ Revision: 1532697
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 3.1.0-3.mga8
+ Revision: 1442694
- rebuild for python3.8
- drop python2 support

* Mon Jan 14 2019 daviddavid <daviddavid> 3.1.0-2.mga7
+ Revision: 1356822
- unbundled html5lib module

* Sat Jan 12 2019 wally <wally> 3.1.0-1.mga7
+ Revision: 1355660
- new version 3.1.0

* Sat Jan 12 2019 tmb <tmb> 2.1.3-3.mga7
+ Revision: 1355163
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.1.3-2.mga7
+ Revision: 1288355
- Mageia 7 Mass Rebuild

* Tue May 01 2018 ngompa <ngompa> 2.1.3-1.mga7
+ Revision: 1224066
- Rebase to v2.1.3 to work with newer html5lib

* Sat Aug 05 2017 pterjan <pterjan> 1.4.2-3.mga7
+ Revision: 1135358
- Fix license and URL
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.4.2-2.mga6
+ Revision: 970796
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 1.4.2-1.mga6
+ Revision: 888402
- New version 1.4.2;Rebuild for Python3 3.5.x

* Tue Nov 04 2014 joequant <joequant> 1.4-1.mga5
+ Revision: 795575
- imported package python-bleach

